
%if !0%{?bootstrap}
%global tests 1
%endif

Name:    kdiagram
Summary: Powerful libraries (KChart, KGantt) for creating business diagrams
Version: 2.8.0
Release:    1%{?dist}

License: GPLv2+
Url:     https://invent.kde.org/graphics/kdiagram
Source0: http://download.kde.org/stable/kdiagram/%{version}/kdiagram-%{version}.tar.xz

BuildRequires: extra-cmake-modules
BuildRequires: kf5-rpm-macros
BuildRequires: cmake(Qt5Gui)
BuildRequires: cmake(Qt5Help)
BuildRequires: cmake(Qt5PrintSupport)
BuildRequires: cmake(Qt5Sql)
BuildRequires: cmake(Qt5Svg)

%if 0%{?tests}
BuildRequires: cmake(Qt5Test)
BuildRequires: xorg-x11-server-Xvfb
%endif

BuildRequires: cmake

%description
Powerful libraries (KChart, KGantt) for creating business diagrams.

%package devel
Summary: Developer files for %{name}
Requires: %{name} = %{version}-%{release}
Requires: cmake(Qt5Svg)
Requires: cmake(Qt5Widgets)
Requires: cmake(Qt5PrintSupport)
%description devel
%{summary}.


%prep
%autosetup -p1

%build
%cmake_kf5 \
  -DBUILD_TESTING:BOOL=%{?tests:ON}%{?!tests:OFF}

%cmake_build


%install
%cmake_install

%find_lang_kf5 kchart_qt
%find_lang_kf5 kgantt_qt
cat kchart_qt.lang kgantt_qt.lang > %{name}.lang


%check
%if 0%{?tests}
echo "%ctest" > ./rpm-check.sh
chmod +x ./rpm-check.sh
xvfb-run -a ./rpm-check.sh
%endif



%files -f %{name}.lang
%license LICENSE.GPL.txt
%{_kf5_libdir}/libKChart.so.2*
%{_kf5_libdir}/libKGantt.so.2*

%files devel
%{_includedir}/KChart/
%{_includedir}/KGantt/
%{_includedir}/kchart_version.h
%{_includedir}/kgantt_version.h
%{_kf5_libdir}/libKChart.so
%{_kf5_libdir}/libKGantt.so
%{_kf5_libdir}/cmake/KChart/
%{_kf5_libdir}/cmake/KGantt/
%{_kf5_archdatadir}/mkspecs/modules/qt_KChart.pri
%{_kf5_archdatadir}/mkspecs/modules/qt_KGantt.pri


%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.8.0-1
- initial build
